Package groovy.lang

# Interface MetaClassRegistryChangeEventListener

All Superinterfaces:
  `EventListener`

public interface MetaClassRegistryChangeEventListener extends EventListener
A listener called whenever a constant MetaClass is set, removed or replaced.

Author:
  Jochen Theodorou
See Also:
  - `MetaClassRegistry`
  - `MetaClassRegistryChangeEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)`
Called when the a constant MetaClass is updated.

## Method Details

### updateConstantMetaClass

void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)
Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.

Parameters:
  `cmcu` - - the change event